%global momorel 8

Summary:        MP3-Podcast module for perl 
Name:           perl-MP3-Podcast
Version:        0.06
Release:        %{momorel}m%{?dist}
License:        GPL
Group:          Development/Languages
Source0:        http://www.cpan.org/authors/id/J/JM/JMERELO/MP3-Podcast-%{version}.tar.gz
#NoSource:       0
URL:            http://www.cpan.org/modules/by-module/MP3/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    perl >= 1:5.8.1, perl-XML-RSS

%description
MP3-Podcast module for perl

%prep
%setup -q -n MP3-Podcast-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > MP3-Podcast-%{version}-filelist
if [ "$(cat MP3-Podcast-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f MP3-Podcast-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.06-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-6m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-5m)
- no NoSource

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- rebuild against rpm-4.6

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-1m)
- update to 0.06

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.05-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-2m)
- use vendor

* Thu Jun 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-1m)
- spec file was autogenerated
